Subject: cygwin service
From: Christoffer Walther <[email-masked]>
To: Max Bowsher <[email-masked]>
Cc: [email-masked]
Date: Fri, 04 Oct 2002 13:58:28 +0200

I can see the sshd runs as 'service' even when I close the
shell window, thats nice. I wanted to do the same with apache,
I did: '/sbin/cygrunsrv -I apache -p /usr/sbin/apachectl -a start'

However, when I do: '/bin/cygrunsrv -S apache', I get :

".. error startign service, QueryServiceStatus: win32 error 1062: 
The service has not been started".

How can I correct this, or where can I find documentation on this?

Christoffer

Max Bowsher wrote:
> 
> Christoffer Walther wrote:
> > Hi and thanks for the reply. I have the same problem with
> > sshd, 'permission denied', it would be great if I could just
> > edit the /etc/passwd file manually and the sshd would
> > look up the password there, can it be done this way?
> 
> No.
> 
> You do need to set CYGWIN=ntsec in the environment of your services. How did
> you set up sshd? Did you use the ssh-host-config script?
> 
> Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/